-[[PukiWiki Adv. v2.0.3リリース>https://osdn.jp/projects/pukiwiki-adv/releases/65833]]。PHP7に対応しました。
-肥大化したJavaScriptをどうするか検討中・・・。モジュール設計にするのはいいとしてどれを選べばいいんだろう。
-ずっとGithubにプッシュできないと思ったら原因は、2段階認証を有効化したからだったという・・・。
-現在、CSSとJSをgulpで管理するようにしています。これに伴い次期PukiWiki Advanceの開発環境には、node.js、ruby、bower、gulp、sassの技術が必要になります。
-2.1ではbootstrap4が出るらしいのでそれに伴う修正をする予定
-[[2.0.2>https://osdn.jp/projects/pukiwiki-adv/downloads/63803/pukiwiki_adv-2.0.2.tar.xz/]]リリース。

* FrontPage [#qb249ac2]
#ref(pukiwiki_adv.png,nolink,around,right)
PukiWiki Advanceへようこそ!PukiWiki Adv.は、[[PukiWiki Plus! i18n>http://pukiwiki.cafelounge.net/plus/]]のPHP5.4対応のHTML5 + jQuery + jQuery UI + jQuery Mobileポートです。PHP5.3以降で使えるようになったコードを積極的に使用するなど、最適化を多く行なっているため、多くの場合において、PukiWiki Plus!よりも動作が軽量です。スマートフォンにも対応しています。

&(spade);このサーバーは、nginx 1.x+php-fpm構成(PHP5.5.x)で動作しています。&(spade);

派生元である[[Plus!>http://pukiwiki.cafelounge.net/plus/]]や[[無印版>http://pukiwiki.sourceforge.jp/]]でAdv.の話題をすることは、派生元の開発者にとって迷惑となりますのでご遠慮下さい。(同じプラグインでもAdvでは若干使用法が異なるものがあるため)

不具合や要望などは、BugTrackか、GitHubの[[Issues>https://github.com/logue/pukiwiki_adv/issues]]に報告していただけると助かります。現在、開発リソースが不足しているため言語(特に中国語、韓国語)やUIなどを手伝っていただける方を募集しています。まずは、GitHubで[[Fork>https://github.com/logue/pukiwiki_adv/fork]]から。

中文版本在[[这里>http://weiji.meyito.com/]]。
#clear

*ダウンロード [#x1fa87c0]
-安定版
--[[PukiWiki Advance v2.0.3>https://osdn.jp/projects/pukiwiki-adv/releases/65833/]]
-旧版
--[[PukiWiki Advance v1.0.3>http://osdn.jp/projects/pukiwiki-adv/releases/58179/]]((※PHP5.5には対応していません))
-不安定版
--[[マスターブランチ>https://github.com/logue/pukiwiki_adv/archive/master.zip]]
*&(new);更新情報 [#tebf483a]
#htmlinsert(ohloh.txt)
#showrss(https://github.com/logue/pukiwiki_adv/commits/master.atom)
#clear

#row{{{{{{
#span(6){{{{
#panel(現在確認されている主なバグ/問題/突っ込みどころ,warning){{
-ファイル添付時にCAPTCHAが表示されない→仕様検討中
}}
}}}}
#span(6){{{{
#panel(今後の予定,info){{
-pukiwiki.cssをsassで記述gulpで管理
-skin.jsの依存ライブラリをgulpで管理
-skin.jsを機能ごとに分割
-skin.jsをECMAScript6で書き直し
-jQuery UIを外して完全にbootstrap4もしくは、foundationベースにする
-PNGで書かれた今までのアイコンを削除し、アイコンフォントから割り当てる
}}
}}}}
}}}}}}
*2.0の新機能 [#C4VdkCC]
:PHP5.5対応|
最新版のPHP5.5に対応しています。(''5.4未満はサポート対象外''です。)
:エンジンの全面書き直し|
ほぼ原型を留めないくらい書き換えました。PHP5.3から使えるautoload機能をフルに生かしたオブジェクト指向のコードになっています。命令も書きなおして、書き込む処理はset、読み込む処理はgetが付いているため無印版、Plus!のソースよりも読みやすくなっています。互換性はlegacy.phpで取っていますが、ページに書き込む処理などの実装がうまくいかない場合があります。
:spam_filter.phpの本体取り込み|
PukiWiki用のアンチスパム機能拡張として定評のある[[spam_filter.php>https://github.com/stealthinu/pukiwiki_spam_filter]]を本体の機能として取り込みました。(とはいっても原型を留めてないが・・・。)
:キャッシュ処理の強化|
Zend Cacheによるキャッシュ処理にし、ページ一覧、AutoLink、Auto Glossaryなどのキャッシュ処理を大幅に強化
:ページ一覧処理を強化|
ページ一覧を自然な形でソートできるようにしたほか、中国語と韓国語も文字によるソートに対応させました。※中国語はPinYinによるソートです。
:Twitter Bootstrapに準拠したUI|
jQuery UIで作っていたUIパーツをTwitter Bootstrap準拠に変更しました。
:ページ更新時をajaxで|
少しだけ軽くなっていると思います。
:ログロテート|
ログを無限に記録してしまっていたものを古いエントリから順に削除するようにしました。
:複数ファイルアップロードに対応|

RIGHT:変更箇所があまりにも多すぎて自分でも忘れてしまってる・・・。
*動作環境 [#n25d1dcd]
#row{{{{{{
#span(6){{{{
#panel(サーバーサイド,danger){{
-Apache2.x(CGIモードでの動作を推奨)
-nginx 1.4.5以上(推奨)
-cherokee 1.0以上
-PHP5.4以上 5.5推奨 (PHP-FPMによる動作推奨)((safe_modeはサポートしていません。そもそも5.3の時点で非推奨です。))

※PHP5.4以下は対応していません。

もしも、VPSを使用している場合は、Apacheの代わりにnginxを使用することを検討してください。
}}
}}}}
#span(6){{{{
#panel(クライアントサイド,success){{
-IE11(8以下はサポート対象外です)
-FireFox 28以上
-Safari 5以上
-Google Chrome
-Opera 11以上
-iOS7以上、もしくは同相当のAndroidのMobile Safari
-Windows Phone7 以降(未チェック)

※IE9未満には対応していません。NetFront系はサポート対象外です。(モバイル扱いとなります)
}}
}}}}
}}}}}}
#description(PukiWiki Advanceは、PukiWiki Plus! i18nのPHP5.4対応のHTML5 + jQuery + jQuery UI + jQuery Mobileポートです)
#keywords(PukiWiki,PukiWiki Adv.,PukiWiki Advance, i18n, PHP5.4, jQuery, jQuery UI, jQuery Mobile,スマフォ対応)